Statutory payments
Get paymentsemployees
GET
/
payments
/
employees
/
{employeeId}
cURL
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/employees/{employeeId} \
--header 'X-Auth-Token: <api-key>' \
--header 'X-Org-Id: <api-key>'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/employees/{employeeId}"
headers = {
"X-Auth-Token": "<api-key>",
"X-Org-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>', 'X-Org-Id': '<api-key>'}};
fetch('https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/employees/{employeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": null
}
]
},
"content": {
"data": [
{
"organisationId": "<string>",
"statutoryId": "<string>",
"employeeId": "<string>",
"startDate": "<string>",
"requestedStartDate": "<string>",
"endDate": "<string>",
"maxEndDate": "<string>",
"totalAmount": 123,
"nonRoundedTotalAmount": 123,
"breakdownItems": [
{
"year": 123,
"period": 123,
"frequency": "<string>",
"week": 123,
"value": 123,
"nonRoundedValue": 123,
"isManuallyAdjusted": true
}
],
"createdBy": "<string>",
"createdDate": "<string>",
"updatedBy": "<string>",
"updatedDate": "<string>",
"averageEarnings": 123,
"averageEarningsOverride": 123,
"relevantPeriodEarnings": [
{
"payDate": "<string>",
"amount": 123,
"description": "<string>"
}
],
"dailyBreakdown": [
{
"date": "<string>",
"amount": 123,
"description": "<string>",
"isLinked": true
}
],
"lineItems": [
{
"id": "<string>",
"statutoryPayId": "<string>",
"statutoryPayType": "<string>",
"lineItemSequence": 123,
"activityDate": "<string>",
"payPeriodStart": "<string>",
"payPeriodEnd": "<string>",
"aggregatedAmount": 123,
"nonRoundedAggregatedAmount": 123,
"paidAmount": 123,
"status": "<string>",
"weekItemIds": [
"<string>"
],
"createdDate": "<string>",
"createdBy": "<string>",
"updatedDate": "<string>",
"updatedBy": "<string>",
"isManuallyAdjusted": true,
"adjustmentReason": "<string>",
"netAmount": 123,
"paymentDate": "<string>",
"externalReference": "<string>"
}
],
"paidWeeksCount": 123,
"importDetails": {
"paidUntilDate": "<string>",
"paidWeeks": 123,
"higherRateWeeks": 123,
"higherRateAmount": 123,
"standardRateWeeks": 123,
"standardRateAmount": 123
},
"warnings": [
{
"code": "BackdatedWeeksAccruedToNextOpenRun",
"message": "<string>",
"details": {
"accruedWeeks": 123,
"accruedAmount": 123,
"accrualPaymentDate": "<string>",
"closedPeriods": [
{
"year": 123,
"period": 123,
"payPeriodStartDate": "<string>",
"payPeriodEndDate": "<string>",
"paymentDate": "<string>"
}
]
}
}
],
"details": {
"qualifyingEventDate": "<string>",
"isReceivingStatutoryMaternityPay": true,
"previousSicknessPeriods": [
{
"startDate": "<string>",
"endDate": "<string>",
"wereFirstThreeDaysPaid": true
}
],
"workingDays": {
"standardWorkingDays": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": true,
"sunday": true
},
"shiftPattern": {
"rotationStartDate": "<string>",
"shifts": [
{
"name": "<string>",
"workingDays": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": true,
"sunday": true
},
"durationInDays": 123,
"weekNumber": 123
}
],
"patternType": "<string>",
"patternWeeks": 123
},
"workingPattern": "<string>",
"explicitSchedule": {
"weeks": [
{
"weekCommencing": "<string>",
"workingDays": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": true,
"sunday": true
}
}
]
}
}
}
}
],
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": null
}
]
}
]
}{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": null
}
]
},
"content": {
"data": null,
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": null
}
]
}
]
}Authorizations
Authentication token for API access
Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).
Path Parameters
Was this page helpful?
⌘I
cURL
